Bug 1089962 - Review Request: radeontop - View GPU utilization of AMD/ATI Radeon devices
Review Request: radeontop - View GPU utilization of AMD/ATI Radeon devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-22 05:56 EDT by Fabian Deutsch
Modified: 2016-06-18 14:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 11:50:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2014-04-22 05:56:55 EDT
Spec URL: https://raw.githubusercontent.com/fabiand/radeontop-spec/0.7-1/radeontop.spec
SRPM URL: http://fedorapeople.org/~fabiand/radeontop/radeontop-0.7-1.git20140421.eadc100.fc19.src.rpm
Description:
RadeonTop shows the utilization of your GPU, both in general and by blocks.
Supported cards are R600 and up.

Fedora Account System Username: fabiand
Comment 1 Fabian Deutsch 2014-04-22 05:58:27 EDT
$ rpmlint -v radeontop.spec ~/rpmbuild/SRPMS/radeontop-0.7-1.git20140421.eadc100.fc19.src.rpm ~/rpmbuild/RPMS/x86_64/radeontop-0.7-1.git20140421.eadc100.fc19.x86_64.rpm ~/rpmbuild/RPMS/x86_64/radeontop-debuginfo-0.7-1.git20140421.eadc100.fc19.x86_64.rpm
radeontop.spec: I: checking-url https://github.com/clbr/radeontop/archive/eadc100956fb5e346a4c5726453efd15fb2ec9f7/radeontop-0.7-eadc100.tar.gz (timeout 10 seconds)
radeontop.src: I: checking
radeontop.src: I: checking-url https://github.com/clbr/radeontop (timeout 10 seconds)
radeontop.src: I: checking-url https://github.com/clbr/radeontop/archive/eadc100956fb5e346a4c5726453efd15fb2ec9f7/radeontop-0.7-eadc100.tar.gz (timeout 10 seconds)
radeontop.x86_64: I: checking
radeontop.x86_64: I: checking-url https://github.com/clbr/radeontop (timeout 10 seconds)
radeontop-debuginfo.x86_64: I: checking
radeontop-debuginfo.x86_64: I: checking-url https://github.com/clbr/radeontop (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Michael Schwendt 2014-04-23 14:36:03 EDT
> %global gitversion .git%{commitdate}.%{shortcommit}
> Release:    1%{?gitversion}%{?dist}

%gitversion is somewhat in the wrong order:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
https://fedoraproject.org/wiki/Packaging:SourceURL#Github


> Group:      System Environment/Libraries

It's not a library. And the Group tag is optional nowadays:
https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag
/usr/share/doc/rpm/GROUPS


> BuildRequires: ncurses-devel
> BuildRequires: libpciaccess-devel

Relevant these days:
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires_based_on_pkg-config


> %build
> # configure doesn't exist, but we need the exported CFLAGS and friends
> %configure || :

You ought to compile in %build not in %install.


> %{_mandir}/man1/radeontop.1.gz

So far the manual pages are gzipped on-the-fly, but if you replace the ".gz" with "*" the packaging would allow for changed/disabled compression if man pages:

  %{_mandir}/man1/radeontop.1*
Comment 3 Björn "besser82" Esser 2014-04-23 15:52:16 EDT
taken  ;)  Will cycle through this tommorow morning!
Comment 4 Fabian Deutsch 2014-04-24 04:26:23 EDT
Thanks Michael!

I've updated the spec according to your comments:

Spec URL: https://raw.githubusercontent.com/fabiand/radeontop-spec/0.7-2/radeontop.spec
SRPM URL: http://fedorapeople.org/~fabiand/radeontop/radeontop-0.7-2.20140421giteadc100.fc19.src.rpm

$ rpmlint radeontop.spec \
  ~/rpmbuild/RPMS/x86_64/radeontop*0.7-2.20140421giteadc100.fc19.x86_64.rpm \
  ~/rpmbuild/SRPMS/radeontop-0.7-2.20140421giteadc100.fc19.src.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 5 Fabian Deutsch 2014-04-25 04:07:20 EDT
Rawhide scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6777631
Comment 7 Fabian Deutsch 2015-02-16 08:12:14 EST
I missed to push the tags:, here is the commit: https://github.com/fabiand/radeontop-spec/commit/b48f8c2e7653b58431d42d40c4b49936eba6f91d
Comment 9 Fabian Deutsch 2015-03-18 09:24:16 EDT
Ping?
Comment 10 Antonio Trande 2015-03-18 09:32:23 EDT
Bjorn does not respond here since 1y almost.

In these cases:
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 11 Michael Schwendt 2015-07-13 07:09:47 EDT
> Summary:    View GPU utilization off AMD/ATI Radeon devices

s/off/of/


> Group:      System Environment/Libraries

It's still not a library. ;)  

Repeating my earlier comment, you may want drop the optional Group tag or pick a more suitable group from /usr/share/doc/rpm/GROUPS.


> %install
> make install PREFIX=%{_prefix} DESTDIR=%{buildroot}

Something's broken here. This step recompiles the entire program using different flags as in %build.


> %doc README.md COPYING

Since early 2015, the guidelines want packagers to use the %license macro:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 12 Michael Schwendt 2015-08-12 08:26:39 EDT
--- radeontop.spec.orig	2015-02-16 12:21:43.000000000 +0100
+++ radeontop.spec	2015-08-12 14:24:43.849563292 +0200
@@ -2,12 +2,11 @@
 %global shortcommit %(c=%{commit}; echo ${c:0:7})
 %global checkout .20150215git%{shortcommit}
 
-Summary:    View GPU utilization off AMD/ATI Radeon devices
+Summary:    View GPU utilization of AMD/ATI Radeon devices
 Name:       radeontop
 Version:    0.8
 Release:    1%{?checkout}%{?dist}
 License:    GPLv3
-Group:      System Environment/Libraries
 URL:        https://github.com/clbr/%{name}
 
 Source0:    %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
@@ -25,6 +24,7 @@
 
 %prep
 %setup -q -n %{name}-%{commit}
+mkdir .git
 
 
 %build
@@ -43,7 +43,8 @@
 
 
 %files -f %{name}.lang
-%doc README.md COPYING
+%doc README.md
+%license COPYING
 %{_sbindir}/radeontop
 %{_mandir}/man1/radeontop.1*
Comment 13 Michael Schwendt 2015-08-12 09:07:33 EDT
# radeontop -v
RadeonTop 

indicates that not deleting the ".git" directory may be required when wrapping up the source tarball. Else the Makefile cannot retrieve the version.
Comment 14 Dominik 'Rathann' Mierzejewski 2016-03-14 11:59:19 EDT
Any update here? I actually have the hardware to test this, so it'd be nice to have in Fedora.
Comment 15 Luya Tshimbalanga 2016-03-20 03:18:23 EDT
I am interested as well having a AMD APU powered laptop. I will review it once I get the change to read the spec file.
Comment 16 Fabian Deutsch 2016-03-21 06:36:30 EDT
Feel free to fork the spec file.

It should be fairly ready, it just needs to make the last 2meters (in a metric system).
Comment 17 Luya Tshimbalanga 2016-03-25 00:40:36 EDT
(In reply to Fabian Deutsch from comment #16)
> Feel free to fork the spec file.
> 
> It should be fairly ready, it just needs to make the last 2meters (in a
> metric system).

Attempting to use fedora-review command result with the following build.log error:

Processing files: radeontop-debuginfo-0.8-1.20150215git281462c.fc23.x86_64
RPM build errors:
error: Empty %files file /builddir/build/BUILD/radeontop-281462c0943486170ef7b2451d1c3c38268c3484/debugfiles.list
    Empty %files file /builddir/build/BUILD/radeontop-281462c0943486170ef7b2451d1c3c38268c3484/debugfiles.list
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/radeontop.spec 
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/util.py", line 547, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/radeontop.spec 
LEAVE do --> EXCEPTION RAISED
Comment 18 Luya Tshimbalanga 2016-05-29 04:45:28 EDT
(In reply to Fabian Deutsch from comment #16)
> Feel free to fork the spec file.
> 
> It should be fairly ready, it just needs to make the last 2meters (in a
> metric system).

I finally had an opportunity to fork the spec file using all submitted contribution. The SRPM is updated to latest upstream which is 0.9

SPEC: https://luya.fedorapeople.org/packages/SPECS/radeontop.spec
SRPMS: https://luya.fedorapeople.org/packages/SRPMS/radeontop-0.9-1.20160527git2047d13.fc24.src.rpm

Here is the scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14288003

Overall, I think the package should be ready for the repository.
Comment 19 gil cattaneo 2016-05-29 04:59:20 EDT
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1328065
thanks in advance
Comment 20 gil cattaneo 2016-05-29 05:28:32 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3)", "GPL (v2 or later)", "Unknown or generated". 8
     files have unknown license. Detailed output of licensecheck in
     /home/gil/1089962-radeontop/licensecheck.txt
    File without license header:
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/familycheck.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getamdgpuids.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getver.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/include/r600_pci_ids.h
[x]: License file installed when any subpackage combination is installed.
[?]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     radeontop-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: radeontop-0.9-1.20160527git2047d13.fc25.i686.rpm
          radeontop-debuginfo-0.9-1.20160527git2047d13.fc25.i686.rpm
          radeontop-0.9-1.20160527git2047d13.fc25.src.rpm
radeontop.i686: W: incoherent-version-in-changelog 0.9-1.git20160527.2047d13 ['0.9-1.20160527git2047d13.fc25', '0.9-1.20160527git2047d13']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: radeontop-debuginfo-0.9-1.20160527git2047d13.fc25.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
radeontop.i686: W: incoherent-version-in-changelog 0.9-1.git20160527.2047d13 ['0.9-1.20160527git2047d13.fc25', '0.9-1.20160527git2047d13']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
radeontop-debuginfo (rpmlib, GLIBC filtered):

radeontop (rpmlib, GLIBC filtered):
    libc.so.6
    libdrm.so.2
    libncursesw.so.6
    libpciaccess.so.0
    libpthread.so.0
    libtinfo.so.6
    rtld(GNU_HASH)



Provides
--------
radeontop-debuginfo:
    radeontop-debuginfo
    radeontop-debuginfo(x86-32)

radeontop:
    radeontop
    radeontop(x86-32)



Source checksums
----------------
https://github.com/clbr/radeontop/archive/2047d134262b4e9e3514718edc01c27b0ed86352/radeontop-0.9-2047d13.tar.gz :
  CHECKSUM(SHA256) this package     : 7a0be180b2a9761dffb09e4623b69eb180a5da727459353d61c4ae5184283792
  CHECKSUM(SHA256) upstream package : 7a0be180b2a9761dffb09e4623b69eb180a5da727459353d61c4ae5184283792


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1089962 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 21 gil cattaneo 2016-05-29 05:32:47 EDT
Issues:
non blocking
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3)", "GPL (v2 or later)", "Unknown or generated". 8
     files have unknown license. Detailed output of licensecheck in
     /home/gil/1089962-radeontop/licensecheck.txt
    File without license header:
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/familycheck.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getamdgpuids.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getver.sh
     radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/include/r600_pci_ids.h

Please, ask to upstream to confirm the licensing of code and/or content/s
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

blocking
[!]: Changelog in prescribed format.
radeontop.i686: W: incoherent-version-in-changelog 0.9-1.git20160527.2047d13 ['0.9-1.20160527git2047d13.fc25', '0.9-1.20160527git2047d13']
Comment 22 gil cattaneo 2016-05-29 05:35:32 EDT
Other issues: remove Group field is useless and not correct See Comment#11
Comment 23 Luya Tshimbalanga 2016-05-29 19:26:06 EDT
(In reply to gil cattaneo from comment #21)
> Issues:
> non blocking
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v3)", "GPL (v2 or later)", "Unknown or generated". 8
>      files have unknown license. Detailed output of licensecheck in
>      /home/gil/1089962-radeontop/licensecheck.txt
>     File without license header:
>      radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/familycheck.sh
>      radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getamdgpuids.sh
>      radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/getver.sh
>     
> radeontop-2047d134262b4e9e3514718edc01c27b0ed86352/include/r600_pci_ids.h
> 
> Please, ask to upstream to confirm the licensing of code and/or content/s
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Clarification

Already asked upstream for clarification. It could be likely generated.
https://github.com/clbr/radeontop/issues/31

> 
> blocking
> [!]: Changelog in prescribed format.
> radeontop.i686: W: incoherent-version-in-changelog 0.9-1.git20160527.2047d13
> ['0.9-1.20160527git2047d13.fc25', '0.9-1.20160527git2047d13']

Fixed.

> Other issues: remove Group field is useless and not correct
Good catch. now removed.

Here is the updated files:

SPEC: https://luya.fedorapeople.org/packages/SPECS/radeontop.spec
SRPMS: https://luya.fedorapeople.org/packages/SRPMS/radeontop-0.9-2.20160527git2047d13.fc24.src.rpm
Comment 24 gil cattaneo 2016-05-30 02:20:14 EDT
Approved
Comment 25 Luya Tshimbalanga 2016-05-30 13:23:21 EDT
Thank you for the review, gl. Here is the SCM request
https://admin.fedoraproject.org/pkgdb/package/requests/5749
https://admin.fedoraproject.org/pkgdb/package/requests/5750
Comment 26 Jon Ciesla 2016-05-30 19:10:00 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/radeontop
Comment 27 Fedora Update System 2016-05-30 21:08:04 EDT
radeontop-0.9-2.20160527git2047d13.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-202dd11a55
Comment 28 Fedora Update System 2016-05-30 21:08:14 EDT
radeontop-0.9-2.20160527git2047d13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e58867133
Comment 29 Fedora Update System 2016-05-30 21:08:20 EDT
radeontop-0.9-2.20160527git2047d13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-561d3eb6ea
Comment 30 Fedora Update System 2016-05-30 21:08:26 EDT
radeontop-0.9-2.20160527git2047d13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4e75511f37
Comment 31 Fedora Update System 2016-05-31 04:52:53 EDT
radeontop-0.9-2.20160527git2047d13.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-202dd11a55
Comment 32 Fedora Update System 2016-05-31 16:50:49 EDT
radeontop-0.9-2.20160527git2047d13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4e75511f37
Comment 33 Fedora Update System 2016-05-31 16:53:11 EDT
radeontop-0.9-2.20160527git2047d13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e58867133
Comment 34 Fedora Update System 2016-05-31 16:55:06 EDT
radeontop-0.9-2.20160527git2047d13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-561d3eb6ea
Comment 35 Fedora Update System 2016-06-17 11:50:48 EDT
radeontop-0.9-2.20160527git2047d13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2016-06-17 12:01:47 EDT
radeontop-0.9-2.20160527git2047d13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2016-06-17 17:48:21 EDT
radeontop-0.9-2.20160527git2047d13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2016-06-18 14:54:12 EDT
radeontop-0.9-2.20160527git2047d13.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.